﻿using System.Windows.Forms;
using VistaKeysExtender.Properties;

namespace VistaKeysExtender
{
    static class Program
    {
		private static readonly HotKeysWorker Worker = new HotKeysWorker();

        public static void Main()
        {
			Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
			Worker.RegisterHotKeys();
			if (Settings.Default.ShowNotifyIcon)
				Application.Run(new Form());
			else
				Application.Run();
        }
    }
}
